org.bouncycastle.bcpg.sig

## Class SignerUserID

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.SignerUserID

    public class SignerUserID
    extends SignatureSubpacket

packet giving the User ID of the signer.

### Field Summary

### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`SignerUserID(boolean critical, byte[] data)`
`SignerUserID(boolean critical, java.lang.String userID)`

### Method Summary

Methods
`java.lang.String` `getID()`

### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`encode, getData, getType, isCritical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignerUserID

    public SignerUserID(boolean critical,
                byte[] data)

#### SignerUserID

    public SignerUserID(boolean critical,
                java.lang.String userID)

### Method Detail

#### getID

    public java.lang.String getID()